#include <stdio.h>
#include <stdlib.h>

/* Compute the length of a BF program read from stdin. */

int main(int argc, char **argv)
{
  int c, len = 0;

  while ((c = getchar()) != EOF)
  {
    switch (c)
    {
      case '+': case '-':
      case '>': case '<':
      case '[': case ']':
      case ',': case '.':
                len++;
                break;

      default:
                break;
    }
  }
  printf("%d characters\n", len);
  return 0;
}
